Members
Get a member proposal
Returns the current queued member proposal (only one can exist at a time).
GET
/
members
/
proposals
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/members/proposals \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getMemberProposal();
{
"data": {
"id": "prop_mem_create_123",
"resourceType": "members",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury Bot",
"walletAddress": "0xabc..."
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "member",
"id": "mem_new1",
"uri": "/api/v1/members/mem_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}Authorizations
API key authentication. Include your API key in the Authorization header.
Response
Member proposal details
- Members Create
- Members Update
- Members Remove
Show child attributes
Show child attributes
Example:
{
"id": "prop_mem_create_123",
"resourceType": "members",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury Bot",
"walletAddress": "0xabc..."
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "member",
"id": "mem_new1",
"uri": "/api/v1/members/mem_new1"
}
]
}
}
⌘I
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/members/proposals \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getMemberProposal();
{
"data": {
"id": "prop_mem_create_123",
"resourceType": "members",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"items": [
{
"name": "Treasury Bot",
"walletAddress": "0xabc..."
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "member",
"id": "mem_new1",
"uri": "/api/v1/members/mem_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}